<?php
require_once("DBManager.class.php");

class Votos{
	private $idvoto;
	private $idacuerdo;
	private $idafiliado;///
	private $voto;
	private $obs;
		
	///////////////////////////////////////////
	public function Crear($ida,$idafi,$voto,$obs)
	{
		$resp=false;		
		$db= new DBManager();
		if($db->_execute("INSERT INTO votos(idvoto,idacuerdo,idafiliado,voto,obs) VALUES(null,".$ida.",".$idafi.",".$voto.",'".$obs."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
		
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idvoto,idacuerdo,idafiliado,voto,obs from votos where(idvoto = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
				   		$this->idvoto=$rs->fields["idvoto"];
	                 	$this->idacuerdo=$rs->fields["idacuerdo"];
					  $this->idafiliado=$rs->fields["idafiliado"];
				      $this->voto=$rs->fields["voto"];
					  $this->obs=$rs->fields["obs"];
					  
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorAfiliado($vcod,$ida)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idvoto,idacuerdo,idafiliado,voto,obs from votos where(idacuerdo = ".$vcod." and idafiliado=".$ida.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
				   		$this->idvoto=$rs->fields["idvoto"];
	                 	$this->idacuerdo=$rs->fields["idacuerdo"];
					  $this->idafiliado=$rs->fields["idafiliado"];
				      $this->voto=$rs->fields["voto"];
					  $this->obs=$rs->fields["obs"];
					  
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	////////////////////////////////////////////	
	
	public function Actualizar($idd,$ac,$idafi,$nom,$obs)			
	{
		$resp=false;		
		$db= new DBManager();	
		$fecha = implode("-",array_reverse(explode("-",$fecha)));	
		if($db->_execute("update votos set idacuerdo=".$ac.", idafiliado=".$idafi.",voto = ".$nom.", obs='".$obs."' where (idvoto=".$idd.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////////
	public function ListaPorAcuerdo($v)
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idacuerdo,idafiliado,voto,obs from votos where (idacuerdo =".$v.") ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idvoto"	    => $rs->fields["idvoto"],
									"idacuerdo"	    => $rs->fields["idacuerdo"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"voto" 	=> $rs->fields["voto"],
									"obs" 	=> $rs->fields["obs"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idvoto,idacuerdo,idafiliado,voto,obs from votos");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idvoto"	    => $rs->fields["idvoto"],
									"idacuerdo"	    => $rs->fields["idacuerdo"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"voto" 	=> $rs->fields["voto"],
									"obs" 	=> $rs->fields["obs"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM votos WHERE (idacuerdo=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////
	public function getidvoto(){ return $this->idvoto;}						
	public function getidacuerdo(){ return $this->idacuerdo;}
	public function getidafiliado(){ return $this->idafiliado;}
	public function getvoto(){ return $this->voto;}
	public function getobs(){ return $this->obs;}
	
	}
?>
